# JSON Payload

The JSON payload that the RAS Secure Gateway receives as a response has the following structure (the values are for demonstration purposes only and should be substituted with your own):

```
_RASWebClientLoadApp({ 
   u: 'username', 
   q: 'password', 
   a: '#4', 
   p: 'c:\\temp\\another.txt',
   logonURL: 'https://example.com/logon',
   logoutURL: 'https://example.com/logout',
   extra: {
     redirectPrinter: true,
     redirectLinks: true,
     redirectSound: true
   }
});
```

{% hint style="info" %}
**Note:** You can also use the older function `_RASHTML5LoadApp` instead of `_RASWebClientLoadApp` for backwards compatibility.
{% endhint %}

The following table describes the available JSON parameters:

| Parameter Name          | Description                                                                                                                                                                                                                                                                                                                                                                 |
| ----------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| u:                      | User name                                                                                                                                                                                                                                                                                                                                                                   |
| q:                      | User password                                                                                                                                                                                                                                                                                                                                                               |
| a:                      | Published resource ID, as displayed in the RAS Console in the **Publishing** category. It's the number in front of the application name on the **Information** tab (e.g. #4: Google Chrome). The number must be included in the payload together with the pound sign, e.g. "#4". If this parameter is omitted, the user will see all applications available on User Portal. |
| p:                      | Optional arguments (if an application has them).                                                                                                                                                                                                                                                                                                                            |
| d:                      | Domain name.                                                                                                                                                                                                                                                                                                                                                                |
| logonURL:               | URL of a third-party IdP login page.                                                                                                                                                                                                                                                                                                                                        |
| logoutURL:              | URL of a third-party IdP logouts page.                                                                                                                                                                                                                                                                                                                                      |
| extra: redirectLinks:   | Boolean: true = redirect links; false = do not redirect.                                                                                                                                                                                                                                                                                                                    |
| extra: redirectPrinter: | Boolean: true = redirect printer; false = do not redirect.                                                                                                                                                                                                                                                                                                                  |
| extra: redirectSound:   | Boolean: true = redirect sound; false = do not redirect.                                                                                                                                                                                                                                                                                                                    |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-client-integration-guide/v20/ras-web-client-api/json-payload.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
